Skip to main content
POST
Create agent optimization result

Authorizations

Authorization
string
header
required

Path Parameters

projectKey
string
required

The project key

optimizationKey
string
required

The agent optimization key

Body

application/json

Agent optimization result to create

runId
string<uuid>
required

The ID of the run this result belongs to

agentOptimizationVersion
integer
required

The version of the agent optimization used

iteration
integer
required

The iteration number within the run

instructions
string
required

The instructions used for this attempt

userInput
string
required

The user input used for this attempt

parameters
object

The model parameters used for this attempt

Response

Agent optimization result created

id
string<uuid>
required

The result ID

runId
string<uuid>
required

The ID of the run this result belongs to

agentOptimizationId
string<uuid>
required

The agent optimization ID

agentOptimizationVersion
integer
required

The version of the agent optimization used

status
enum<string>
required
Available options:
RUNNING,
PASSED,
FAILED,
ERRORED
activity
enum<string>
required
Available options:
PENDING,
GENERATING,
EVALUATING,
GENERATING_VARIATION,
VALIDATING,
COMPLETED
iteration
integer
required

The iteration number within the run

instructions
string
required

The instructions used for this attempt

userInput
string
required

The user input used for this attempt

createdAt
integer<int64>
required

When this resource was created, in Unix milliseconds

updatedAt
integer<int64>
required

When this resource was last updated, in Unix milliseconds

_access
object
Example:

The location and content type of related resources

Example:
parameters
object

The model parameters used for this attempt

completionResponse
string

The model response

variation
object

The variation that was tested

scores
object

The scores for the response

generationTokens
object

Token usage for generating the response

evaluationTokens
object

Token usage for judging the response

generationLatency
integer

How long the response took to generate

evaluationLatencies
object

How long each evaluation took

completedAt
integer<int64>

When this finished, in Unix milliseconds

createdVariationKey
string

The key of the variation created from this result